/*
	接口统一管理
*/
const apiurl = {
	/** 案例 */
	login: {
		url: '/member/auth/personsLogin',
		type: 'post'
	},
	loginOut: {
		url: '/member/auth/personsLogout',
		type: 'post'
	},
	/** 首页 */
	retailIndex: {
		url: '/system/client/retailIndex',
		type: 'get'
	},
	/** 用户信息 */
	getInfo: {
		url: '/member/marketPersons/getInfo',
		type: 'get'
	},
	getRetailQrcode: {
		url: '/member/marketPersons/getRetailQrcode',
		type: 'get'
	},
	getRetailStatistics: {
		url: '/member/marketPersons/getRetailStatistics',
		type: 'get'
	},
	getRetailInfo: {
		url: '/member/marketPersons/getRetailInfo',
		type: 'get'
	},
	payset: {
		url: '/member/marketPersons/payset',
		type: 'post'
	},
	marketPersonsSerial: {
		url: '/member/marketPersonsSerial/detailList',
		type: 'get'
	},
	withdrawInfo: {
		url: '/member/marketPersons/withdrawInfo',
		type: 'get'
	},
	orderWithdraw: {
		url: '/order/orderWithdraw/submit',
		type: 'post'
	},
	marketPersons: {
		url: '/member/marketPersons/paysetCheck',
		type: 'post'
	},
	getRetailInfo: {
		url: '/member/marketPersons/getRetailInfo',
		type: 'get'
	},
	orderWithdrawList: {
		url: '/order/orderWithdraw/pageList',
		type: 'get'
	},
	orderWithdrawSelectById: {
		url: '/order/orderWithdraw/selectById',
		type: 'get'
	},
	/**
	 * @author ygh
	 * @date 2023-12-14
	 * 公众号获取openid
	 * 
	 * */
	wxinfoH5: {
		url: '/member/wechat/h5/code/',
		type: 'get',
		addUrl: true
	},
	personsLoginCheck: {
		url: '/member/auth/personsLoginCheck',
		type: 'get'
	},
}


/*
* 特殊处理接口
*/ 
const otherApiUrl = {
	// 文件上传
	uploadFile: '/file/upload/single/minio',
}

export {
	apiurl,
	otherApiUrl
}