/**
 * 配置通用 
 */
const node_dev = process.env.H_NODE_ENV;
// //运行到浏览器用的
let baseUrl = null // 后端服务接口
let upFileUrl= null // 后端上传接口
let staticUrl= null // 静态文件地址

// 本地
// #ifdef MP
	baseUrl='https://greatadmin.dev.gztjy.top/serviceapi';
	upFileUrl='http://fileupload.hw.hongweisoft.com/upload/single/minio';
	staticUrl='https://miniores.hw.hongweisoft.com/greattransition/staticfile';
// #endif
// #ifdef H5
	baseUrl='/api';
	upFileUrl='http://fileupload.hw.hongweisoft.com/upload/single/minio';
	staticUrl='https://greath5.dev.gztjy.top/distribution/static/';
// #endif

// 打包用的
if (node_dev =='development') { // 分销测试
 // #ifdef MP
 	baseUrl='';
 	upFileUrl='';
 	staticUrl='';
 // #endif
 // #ifdef H5
 	baseUrl='https://greath5.dev.gztjy.top/serviceapi';
 	upFileUrl='h';
 	staticUrl='https://greath5.dev.gztjy.top/distribution/static/';
 // #endif
}
if (node_dev =='production') { // 分销正式
 // #ifdef MP
 	baseUrl='';
 	upFileUrl='';
 	staticUrl='';
 // #endif
 // #ifdef H5
 	baseUrl='https://h5.wdzzgs.com/serviceapi';
 	upFileUrl='';
 	staticUrl='https://h5.wdzzgs.com/distribution/static/';
 // #endif
}


const commonConfig = {
	wxAppid: '', // 测试wxAppid
	appid: 'wx6490eaa0d20d2be2', // 公众号
	redirectUri: encodeURIComponent('https://h5.wdzzgs.com/distribution/pages/login/index'), //
	baseUrl: baseUrl, // 服务器地址
	uploadFileUrl: upFileUrl, // 上传文件路径
	staticUrl:staticUrl,
	paginationConfig:{
		  pageNum: 1,
		  pageSize: 10
	},//分页参数
	successCode:200,//接口返回状态
}
export {
	commonConfig
}